"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
// import css
require("../../../../css/margins.css");
require("../../../../css/filter_modal.css");
/*
    Displays the column summary graph in the column control panel
*/
function ColumnSummaryGraph(props) {
    const [base64PNGImage, setBase64PNGImage] = react_1.useState('');
    const [alt, setAlt] = react_1.useState('Graph is loading...');
    function loadBase64PNGImage() {
        return __awaiter(this, void 0, void 0, function* () {
            const loadedBase64PNGImage = yield props.mitoAPI.getColumnSummaryGraph(props.selectedSheetIndex, props.columnHeader);
            if (loadedBase64PNGImage === '') {
                setAlt('Sorry, it looks like there are too many items in this column to display them well.');
            }
            else {
                setBase64PNGImage(loadedBase64PNGImage);
            }
        });
    }
    react_1.useEffect(() => {
        void loadBase64PNGImage();
    }, []);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: 'filter-modal-section-title' },
            react_1.default.createElement("p", null, " Column Summary Graph ")),
        react_1.default.createElement("img", { className: 'mb-2', src: 'data:image/png;base64, ' + base64PNGImage, alt: alt })));
}
exports.default = ColumnSummaryGraph;
//# sourceMappingURL=ColumnSummaryGraph.js.map